#include "widget.h"

Widget::Widget(QWidget *parent) : QWidget(parent) {
 this->length = 10;
 this->setGeometry(QRect(0,0,200,this->length*20));
 //добавить метки в список:
 for (int i = 0; i < this->length; ++i) {
  labels << new ClickableLabel (QString::number(i+1),this);
 }
 QVBoxLayout *myLayout = new QVBoxLayout(this);
 //настроить свойства меток:
 for (int i = 0; i < this->length; i++) {
  labels.at(i)->setGeometry(QRect(0, i*20, this->size().width(), 200));
  labels.at(i)->setAlignment(Qt::AlignHCenter|Qt::AlignVCenter);
  labels.at(i)->setTag(i);
  //...обработку сигнала:
  connect(labels.at(i), SIGNAL(clicked(QMouseEvent*)),this, SLOT(labelClicked(QMouseEvent*)));
  //...и разместить в контейнере:
  myLayout->addWidget(labels.at(i));
 }
}

Widget::~Widget() { }

void Widget::labelClicked (QMouseEvent *event) {
 //узнать, от какой из меток пришёл сигнал:
 int i=((ClickableLabel *)sender())->tag();
 //и увеличить число на ней на единицу:
 labels.at(i)->setText(
  QString::number(1+labels.at(i)->text().toInt())
 );
}
